@charset "UTF-8";
body {
  color: #fff;
}

#hero {
  /*trong src luôn thì ./assets/bg.jpg(Trình duyệt sẽ đi tìm src/styles/assets/bg.jpg)
  hoặc (tùy vị trí file CSS) thì ../assets/bg.jpg(lùi lên một cấp thư mục (từ styles → src), sau đó mới vào assets/bg.jpg. ✅)
  */
  background: url("../assets/bg.jpg"); /*2 chấm là do để file css và assets cùng cấp*/
  background-size: cover; /*fill the background*/
  background-position: 0 60%;
}

.navbar {
  width: 100%;
  background: none !important;
}
@media (max-width: 34em) {
  .navbar {
    background: black !important;
  }
}
.navbar .navbar-toggler {
  cursor: pointer;
  outline: 0;
}
.navbar .nav-link {
  text-transform: uppercase;
  font-weight: bold;
}
.navbar .nav-item {
  padding: 0 1rem;
}
@media (max-width: 34em) {
  .navbar .nav-item {
    padding: 0;
  }
}
@media (max-width: 34em) {
  .navbar .nav-item .nav-link {
    font-weight: normal;
    color: #fff !important;
  }
}

h1 {
  font-weight: bold;
  font-size: 3.5em;
  position: relative;
  right: 200px;
}

h4 {
  position: relative;
  right: 200px;
}

@media (max-width: 1468px) {
  h1 {
    position: static; /* ← trả về mặc định */
    right: auto; /* reset giá trị right */
  }
  h4 {
    position: static; /* ← trả về mặc định */
    right: auto;
  }
  /*Vì Bootstrap 4 alpha có nhiều rule sẵn với .navbar-brand trong media queries, nên !important sẽ giúp bạn ghi đè chắc chắn.*/
  #logo {
    position: static !important; /* ← trả về mặc định */
    right: auto !important;
  }
  /*
  h4#join-container ==> một phần tử có id="join-container" nằm bên trong thẻ <h4>
  #join-container h4 ==> mọi thẻ <h4> nằm bên trong phần tử có id="join-container"
  */
  #join-container h4 {
    color: gray;
    position: relative;
    right: 0px !important;
  }
}
#hero-img {
  width: 80%;
}

#logo {
  position: relative;
  right: 200px;
}

.feature-wrapper {
  color: #000;
}

#join-container {
  background: url("../assets/screen1.jpg") no-repeat;
  background-size: cover;
}
#join-container h2 {
  letter-spacing: 4px;
  font-weight: bold;
}
#join-container h4 {
  color: gray;
  position: relative;
  right: 0px;
}
#join-container .form-control {
  background-color: #111111;
  border: 3px solid #2f2f2f;
  padding: 10px;
}
#join-container .btn {
  padding: 12px;
  border: none;
  color: #000;
  cursor: pointer;
}

@media (max-width: 1780px) {
  .responsive-ad {
    max-width: 20px !important; /* Banner nhỏ cho mobile */
  }
}
/* Giảm kích thước iframe trên mobile (<768px) */
@media (max-width: 768px) {
  iframe {
    width: 100%; /* chiếm full width container */
    height: auto; /* tự co theo tỉ lệ */
  }
}